Index: /ipk/make-ipk
===================================================================
--- /ipk/make-ipk	(revision 16912)
+++ /ipk/make-ipk	(revision 16913)
@@ -188,4 +188,5 @@
 	# titanplayers
 	#	cp -a $HOME/flashimg/BUILD/titan/var/usr/local/share/titan/plugins/mc/* "$HOMEDIR"/BUILD/titanplayers_mc/var/usr/local/share/titan/plugins/mc
+	touch "$HOMEDIR"/BUILD/titanplayers_mc/var/swap/etc/.codecpack
 	cp -a $HOME/flashimg/BUILD/titan/var/usr/local/share/titan/plugins/dvdplayer/* "$HOMEDIR"/BUILD/titanplayers_dvdplayer/var/usr/local/share/titan/plugins/dvdplayer
 	cp -a $HOME/flashimg/BUILD/titan/var/usr/local/share/titan/plugins/tithek/* "$HOMEDIR"/BUILD/titanplayers_tithek/var/usr/local/share/titan/plugins/tithek
Index: /ipk/source.sh4/titanplayers_codecpack/CONTROL/control
===================================================================
--- /ipk/source.sh4/titanplayers_codecpack/CONTROL/control	(revision 16913)
+++ /ipk/source.sh4/titanplayers_codecpack/CONTROL/control	(revision 16913)
@@ -0,0 +1,11 @@
+Package: titan-plugin-swapplayer-codecpack
+Version: 1.0
+Description: codecpack for MediaCenter Dateiendungs-Update 
+Section: skins
+Priority: optional
+Maintainer: AAF Forum
+Architecture: sh4
+OE: Skin
+Homepage: http://www.aaf-digital.info
+Depends:
+Source: http://www.aaf-digital.info
Index: /ipk/source.sh4/titanplayers_codecpack/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/titanplayers_codecpack/CONTROL/postinst	(revision 16913)
+++ /ipk/source.sh4/titanplayers_codecpack/CONTROL/postinst	(revision 16913)
@@ -0,0 +1,17 @@
+#!/bin/sh
+TMP=/tmp/.tmp
+echo "successfully installed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+
+touch /var/swap/etc/.codecpack
+
+echo "Please use GUI restart !!!!"
+
+exit 0
Index: /ipk/source.sh4/titanplayers_codecpack/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/titanplayers_codecpack/CONTROL/postrm	(revision 16913)
+++ /ipk/source.sh4/titanplayers_codecpack/CONTROL/postrm	(revision 16913)
@@ -0,0 +1,15 @@
+#!/bin/sh
+TMP=/tmp/.tmp
+
+rm -r /var/swap/etc/.codecpack
+
+echo "successfully removed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: /ipk/source.sh4/titanplayers_codecpack/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titanplayers_codecpack/CONTROL/preinst	(revision 16913)
+++ /ipk/source.sh4/titanplayers_codecpack/CONTROL/preinst	(revision 16913)
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+TMP=/tmp/.tmp
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=5
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok		
+	fi
+else
+	echo "syncing disk"
+	sync
+fi  
+echo "installing codecpack for Mediacenter ..."
+
+exit 0
Index: /ipk/source.sh4/titanplayers_codecpack/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/titanplayers_codecpack/CONTROL/prerm	(revision 16913)
+++ /ipk/source.sh4/titanplayers_codecpack/CONTROL/prerm	(revision 16913)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.titanskin
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+echo "removing codecpack for Mediacenter"
+exit 0
